Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.util
Class MetadataSwitch

    java.lang.Object
      org.eclipse.ohf.ihe.xds.metadata.util.MetadataSwitch

    public class MetadataSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `MetadataPackage`

Constructor Summary
`MetadataSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` | `caseAuthorType(AuthorType object)` Returns the result of interpretting the object as an instance of 'Author Type'.
`java.lang.Object` | `caseCodedMetadataType(CodedMetadataType object)` Returns the result of interpretting the object as an instance of 'Coded Metadata Type'.
`java.lang.Object` | `caseDocumentEntryType(DocumentEntryType object)` Returns the result of interpretting the object as an instance of 'Document Entry Type'.
`java.lang.Object` | `caseDocumentRoot(DocumentRoot object)` Returns the result of interpretting the object as an instance of 'Document Root'.
`java.lang.Object` | `caseFolderType(FolderType object)` Returns the result of interpretting the object as an instance of 'Folder Type'.
`java.lang.Object` | `caseInternationalStringType(InternationalStringType object)` Returns the result of interpretting the object as an instance of 'International String Type'.
`java.lang.Object` | `caseLocalizedStringType(LocalizedStringType object)` Returns the result of interpretting the object as an instance of 'Localized String Type'.
`java.lang.Object` | `caseMultipleDocumentSetType(MultipleDocumentSetType object)` Returns the result of interpretting the object as an instance of 'Multiple Document Set Type'.
`java.lang.Object` | `caseProvideAndRegisterDocumentSetType(ProvideAndRegisterDocumentSetType object)` Returns the result of interpretting the object as an instance of 'Provide And Register Document Set Type'.
`java.lang.Object` | `caseSubmissionSetType(SubmissionSetType object)` Returns the result of interpretting the object as an instance of 'Submission Set Type'.
`java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataSwitch

    public MetadataSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAuthorType

    public java.lang.Object caseAuthorType(AuthorType object)

  Returns the result of interpretting the object as an instance of 'Author Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Author Type'.
  See Also:
    `doSwitch(EObject)`

### caseCodedMetadataType

    public java.lang.Object caseCodedMetadataType(CodedMetadataType object)

  Returns the result of interpretting the object as an instance of 'Coded Metadata Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Coded Metadata Type'.
  See Also:
    `doSwitch(EObject)`

### caseDocumentEntryType

    public java.lang.Object caseDocumentEntryType(DocumentEntryType object)

  Returns the result of interpretting the object as an instance of 'Document Entry Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Document Entry Type'.
  See Also:
    `doSwitch(EObject)`

### caseDocumentRoot

    public java.lang.Object caseDocumentRoot(DocumentRoot object)

  Returns the result of interpretting the object as an instance of 'Document Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Document Root'.
  See Also:
    `doSwitch(EObject)`

### caseFolderType

    public java.lang.Object caseFolderType(FolderType object)

  Returns the result of interpretting the object as an instance of 'Folder Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Folder Type'.
  See Also:
    `doSwitch(EObject)`

### caseInternationalStringType

    public java.lang.Object caseInternationalStringType(InternationalStringType object)

  Returns the result of interpretting the object as an instance of 'International String Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'International String Type'.
  See Also:
    `doSwitch(EObject)`

### caseLocalizedStringType

    public java.lang.Object caseLocalizedStringType(LocalizedStringType object)

  Returns the result of interpretting the object as an instance of 'Localized String Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Localized String Type'.
  See Also:
    `doSwitch(EObject)`

### caseMultipleDocumentSetType

    public java.lang.Object caseMultipleDocumentSetType(MultipleDocumentSetType object)

  Returns the result of interpretting the object as an instance of 'Multiple Document Set Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Multiple Document Set Type'.
  See Also:
    `doSwitch(EObject)`

### caseProvideAndRegisterDocumentSetType

    public java.lang.Object caseProvideAndRegisterDocumentSetType(ProvideAndRegisterDocumentSetType object)

  Returns the result of interpretting the object as an instance of 'Provide And Register Document Set Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Provide And Register Document Set Type'.
  See Also:
    `doSwitch(EObject)`

### caseSubmissionSetType

    public java.lang.Object caseSubmissionSetType(SubmissionSetType object)

  Returns the result of interpretting the object as an instance of 'Submission Set Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Submission Set Type'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD